/* You can add global styles to this file, and also import other style files */
@import "styles-variables";
@import "styles-reset";

@import '~bootstrap/scss/bootstrap-reboot';
@import '~bootstrap/scss/bootstrap-grid';

@import "~@angular/material/prebuilt-themes/indigo-pink.css";


h1,
h2,
h3,
h4,
h5,
h6 {
  color: $blue;
}

.loading {
  position: relative;

  &:after {
    content: "";
    position: absolute;
    opacity: 0.5;
    background: white;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 3;
  }
}

.mat-dialog-container {

  .mat-progress-bar {
    margin-top: -24px;
    margin-left: -24px;
    margin-bottom: 19px;
    width: calc(100% + 48px);
  }

  .inner-dialog {
    position: relative;

    .close-btn {
      position: absolute;
      top: -0.2em;
      right: -0.5em;
    }

  }

  .mat-dialog-content {
    padding: 1em 2em !important;
    border-top: 1px solid $grey;
    border-bottom: 1px solid $grey;

    form {
      margin-top: 20px;
      margin-bottom: 20px;
    }
  }

  .mat-dialog-actions {
    float: right;
  }

}

.mat-fab {
    position: fixed !important;
    bottom: 5em;
    right: 3em;
}
